import sys

def can_form_correct_cube(numbers):
    total_sum = sum(numbers)
    if total_sum % 2 != 0:
        return False
    target_sum = total_sum // 2
    numbers.sort()
    i = 0
    j = len(numbers) - 1
    while i < j:
        current_sum = numbers[i] + numbers[j]
        if current_sum == target_sum:
            i += 1
            j -= 1
        elif current_sum > target_sum:
            j -= 1
        else:
            i += 1
    return i >= j

def main():
    numbers = list(map(int, sys.stdin.readline().strip().split()))
    if can_form_correct_cube(numbers):
        print("yes")
    else:
        print("no")

main()