def lunar_addition(num1, num2):
    # Приведение чисел к одинаковой длине
    max_len = max(len(num1), len(num2))
    num1 = num1.zfill(max_len)
    num2 = num2.zfill(max_len)
    
    # Сложение по лунной арифметике
    result = ''.join(max(a, b) for a, b in zip(num1, num2))
    return result

def lunar_multiplication(num1, num2):
    # Приведение чисел к одинаковой длине
    max_len = max(len(num1), len(num2))
    num1 = num1.zfill(max_len)
    num2 = num2.zfill(max_len)
    
    # Умножение по лунной арифметике
    result = ''.join(min(a, b) for a, b in zip(num1, num2))
    return result

# Примеры использования
num1 = "169"
num2 = "248"

lunary_sum = lunar_addition(num1, num2)
lunary_product = lunar_multiplication(num1, num2)

print(f"Лунная сумма: {lunary_sum}")
print(f"Лунное произведение: {lunary_product}")
